## org.codehaus.groovy.grails.exceptions
Class GrailsDataSourceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.grails.exceptions.GrailsException
                      org.codehaus.groovy.grails.exceptions.GrailsDataSourceException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  DataSourceRequiredPropertyMissingException, MoreThanOneActiveDataSourceException

    public abstract class GrailsDataSourceException

extends GrailsException

Base exception for errors related to Grails data sources.

Since:
  Aug 6, 2005
Author:
  Steven Devijver
See Also:
  Serialized Form

Constructor Summary
`GrailsDataSourceException()`
`GrailsDataSourceException(String arg0)`
`GrailsDataSourceException(String arg0, Throwable arg1)`
`GrailsDataSourceException(Throwable arg0)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GrailsDataSourceException

    public GrailsDataSourceException()

### GrailsDataSourceException

    public GrailsDataSourceException(String arg0)

### GrailsDataSourceException

    public GrailsDataSourceException(String arg0,
                                     Throwable arg1)

### GrailsDataSourceException

    public GrailsDataSourceException(Throwable arg0)

Copyright (c) 2005-2009 The Grails project